package com.diaoyun.zion.chinafrica.service;

import com.diaoyun.zion.master.base.Result;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @Auther: wudepeng
 * @Date: 2019/11/15
 * @Description:
 */
public interface ShopifyService {
    Result queryShopifyProducts();

    Result queryProductsByType(String product_type, String page_info);

    Result queryProductsDetails(String product_id);

    Result queryAllProducts(String product_id);

    Result searchProductByTitle(String title);
}
